Bug 126102 - inserting signature line cannot be undone with Ctrl+Z
Summary: inserting signature line cannot be undone with Ctrl+Z
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected
Depends on:
Blocks: Digital-Signature-Lines
  Show dependency treegraph
 
Reported: 2019-06-26 06:29 UTC by artur
Modified: 2021-07-03 04:03 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
screencast (1.82 MB, video/ogg)
2019-06-27 03:34 UTC, artur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description artur 2019-06-26 06:29:15 UTC
1. Insert -> Signature Line
2. give the information
3. click "OK"
4. press Ctrl+Z or Edit -> Undo

expected: signature line disappears again
actual: Edit -> Undo says: "Change object description of SVG", Ctrl+Z has no visible effect

Version: 6.4.0.0.alpha0+
Build ID: c05753d5663a9241ddca6db8da5bfdb35b6c9739
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-06-26 10:49:33 UTC
I can't reproduce it in

Version: 6.4.0.0.alpha0+
Build ID: fe855eda54faf6196ad9dea12d8dc090b6d6c1da
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

Are you using a local build? I can't find your commit c05753d5663a9241ddca6db8da5bfdb35b6c9739

To be certain the reported issue is not
related to corruption in the user profile, could you please reset your
Libreoffice profile ( https://wiki.documentfoundation.org/UserProfile ) and
re-test?

I have set the bug's status to 'NEEDINFO'. Please change it back to
'UNCONFIRMED' if the issue is still present
Comment 2 artur 2019-06-27 03:34:30 UTC
Created attachment 152436 [details]
screencast
Comment 3 artur 2019-06-27 03:39:46 UTC
Sorry, I've been on an separate branch, but that had no functional changes, only tests added.
Recompiled again from master and same situation

Version: 6.4.0.0.alpha0+
Build ID: 62908055af3b0d75ed679818a51f7480de8b9800
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

also `--safe-mode` or deleting the user profile from /home/artur/.config/libreoffice/ does not do any difference

I've provided a screenrecording
Comment 4 QA Administrators 2019-06-28 03:00:37 UTC Comment hidden (obsolete)
Comment 5 Xavier Van Wijmeersch 2019-06-28 17:47:14 UTC
I can reproduce the problem with

Version: 6.4.0.0.alpha0+
Build ID: f19d3dda6b6a22d0894ec29e995f15a18b15aecc
CPU threads: 8; OS: Linux 4.19; UI render: default; VCL: gtk2; 
Locale: nl-BE (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 6 Xisco Faulí 2019-07-03 11:35:57 UTC
(In reply to Xavier Van Wijmeersch from comment #5)
> I can reproduce the problem with
> 
> Version: 6.4.0.0.alpha0+
> Build ID: f19d3dda6b6a22d0894ec29e995f15a18b15aecc
> CPU threads: 8; OS: Linux 4.19; UI render: default; VCL: gtk2; 
> Locale: nl-BE (en_US.UTF-8); UI-Language: en-US
> Calc: threaded

I've just tried with gtk2

Version: 6.4.0.0.alpha0+
Build ID: 3cdc1b35b9d86bcfa1277e3e94925ae7b18b8fde
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

and the behaviour is still fine
Comment 7 Xisco Faulí 2019-07-03 11:38:58 UTC
Damn, how stupid I'm... I was testing it on writer, not calc...
Reproduced in

Version: 6.4.0.0.alpha0+
Build ID: 3cdc1b35b9d86bcfa1277e3e94925ae7b18b8fde
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 8 Xisco Faulí 2019-07-03 12:39:23 UTC
The feature was added in https://cgit.freedesktop.org/libreoffice/core/commit/?id=9891fd076c30d353e9edfee9678f0b8e96d26238

@Samuel Mehrbrodt, I thought you might be interested in this issue...
Comment 9 QA Administrators 2021-07-03 04:03:29 UTC
Dear artur,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug